<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Format Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwFormatConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the format configuration for
        one or many data point elements. If the panel is used for just one data
        point
        element at a time, the panel shows the
        current format of the data point element when loaded.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the format for a data point element
          (or elements) you should first check the &quot;Format ON/OFF&quot; check
          box. Then the format options will appear.</p>
        <p>Next, define the formatting you require. Depending on the type of
          the data point element, this can include choosing the maximum number
          of digits, the number of digits after the decimal point and if you
          want exponential style formatting.</p>
        <p>Once this is done, press OK or Apply to save the configuration.</p>
        <p>To delete the format configuration on the data point element(s),
          uncheck the &quot;Format ON/OFF&quot; check box and then press
          either OK or Apply.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>The formats that are available  depends on the type
          of the data point elements. The panel does not, for example, allow
          any format
          config
          to be set for a boolean data point element and for integer elements,
          the choice of formatting is reduced.</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will show only the formatting options that can be applied to
          all the current elements. So, for example, if the panel is used to
          configure
          a float element and a boolean element, the formatting
          will not be able to be configured because the boolean data point element
          does not support it. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements
          to configure from the list that was passed to the panel.</p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center">
			<img
 src="fwFormatConfig.jpg" alt="Panel screenshot" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
